Bug 107928 - c.a.bebop.portal.Portlet doesn't generate XML for children
c.a.bebop.portal.Portlet doesn't generate XML for children
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: ui (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Berrange
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 12:49 EDT by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-24 12:49:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The c.a.bebop.portal.Portlet component overrides the generateXML method from
SimpleContainer, but neglects to replicate the code that generates XML for the
children components.

This current:

    public void generateXML(PageState pageState,
                            Element parentElement) {
        Element portlet = generateXMLHelper(parentElement);
        generateXMLBody(pageState, portlet);
    }

Should in fact be:

    public void generateXML(PageState pageState,
                            Element parentElement) {
        Element portlet = generateXMLHelper(parentElement);
        generateChildrenXML(pageState, portlet);
        generateXMLBody(pageState, portlet);
    }


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a portlet
2. Add a child component
3.

Actual Results:  No XML for child is generated

Expected Results:  XML for child is generated

Additional info:

This is blocking APLAWS-II delivery of the Portals Semantic XML work item
Comment 1 Daniel Berrange 2003-10-29 10:03:28 EST
Fixed in p4 37485
Comment 2 David Lawrence 2006-07-17 23:45:02 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Daniel Berrange 2006-09-02 13:43:52 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.